Bug 6266 - problems with 6.1 initscripts on 6.0
problems with 6.1 initscripts on 6.0
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-10-22 15:55 EDT by i
Modified: 2014-03-16 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-10-27 16:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description i 1999-10-22 15:55:51 EDT
I tried to upgrade initscripts from RH6.0 to RH6.1.

Firstly I upgraded ALL packeges NEEDED by initscripts.

When I shut down my computer and restart Linux, it crashed
with many error messages and warnings. First I have found,
that I need fuser in /sbin. In RH6.0 fuser was in /usr/sbin
and now you call explicitely /sbin/fuser instead of only
fuser. Result of this is that it cannot umount disks. So I
had to upgrade fuser!

Then I found that I must upgrade mount and e2fsck as well.
Without new e2fsck RH boots in single user mode, because
old e2fsck does not support progress bar (a bit pitty).

Then on my 5GB patrtition e2fsck failed with signal 10, and
I had to run it manualy. But it is probably problem of

xfs often crashes, when there is something wrong in its
configuration. But in your initscripts apears green OK.
Clould you please add something like:
  if (ps axu | grep daemon_name) then print green OK
when iniscripts start new daemon?

When initscripts sometimes write to /proc, please check if
the file realy exists (i.e. service is compiled into
kernel).  Error messages look bad.

Thank you for your effort in making RH better and better.

Ivan Brezina
Comment 1 Bill Nottingham 1999-10-22 17:18:59 EDT
The e2fsprogs dependency and the errors in regards to /proc/sys/net
should be fixed in the latest initscripts in Raw Hide.

The e2fsprogs dying on signal 10 should be fixed with
e2fsprogs-1.15-5, which will be in the next Raw Hide release.

Note You need to log in before you can comment on or make changes to this bug.